/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */
import {
    AggregateProjectionData,
    ICountAnalytics,
    IProjectionData,
    ProjectionData,
    SubDict,
    ZoneDict
} from "src/classLibrary/APIModels/analytics/CommonAnalyticModels";

export class ZoneSubcontractorWorkerResponse implements IProjectionData, ICountAnalytics {
    public data: ProjectionData;

    public workers: AggregateProjectionData;

    public zones: ZoneDict;

    public subcontractors: SubDict;

    /**
     * Creates a ZoneSubcontractorWorkerResponse.
     *
     * @param {object} data
     * @param {object} workers
     * @param {object} zones
     * @param {object} subcontractors
     */
    constructor(data: ProjectionData, workers: AggregateProjectionData, zones: ZoneDict, subcontractors: SubDict) {
        this.data = data;
        this.workers = workers;
        this.zones = zones;
        this.subcontractors = subcontractors;
    }
}
